import { AxiosInstance, AxiosRequestConfig } from 'axios';
export interface IaxiosRequestConfig extends AxiosRequestConfig {
    secrect: string;
    appId: string;
}
export declare enum ContentType {
    form = "application/x-www-form-urlencoded",
    json = "application/json; charset=utf-8",
    multipart = "multipart/form-data"
}
/**
* 网络请求参数
*/
export interface RequestParams {
    [key: string]: any;
}
declare type fnType = <T>(data?: RequestParams) => Promise<T | any>;
interface Iapi {
    [prop: string]: fnType;
}
declare class HBBasicClient {
    httpClient: AxiosInstance;
    constructor(config: IaxiosRequestConfig);
    $post<T>(url: string, data?: RequestParams): Promise<T>;
    private getApis;
    api: Iapi;
}
export default HBBasicClient;
